#include <bits/stdc++.h>

using namespace std;
pair<double,int> a[200001];
int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0); cout.tie(0);
    int n,s=0;
    double m=0;
    cin>>n;
    for(int i=0;i<n;i++){
        cin>>a[i].second>>a[i].first;
        s+=a[i].second;
    }
    sort(a,a+n);
    for(int i=0;i<n;i++){
        if(s*a[i].first>m)
            m=s*a[i].first;
        s-=a[i].second;
    }
    m/=100;
    cout<<fixed<<setprecision(4)<<m;
    return 0;
}